org.eclnt.jsfserver.elements.impl

## Class CLIENTSECIDBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.CLIENTSECIDBinding

- All Implemented Interfaces:
    java.io.Serializable, IValueByToString, IDynamicContentBindingObject

      public class CLIENTSECIDBinding
      extends java.lang.Object
      implements java.io.Serializable, IValueByToString, IDynamicContentBindingObject

  Server side counter part of CLIENTSECID component.
  Per request processing the CLIENTSECIDComponent validates the SECID that is passed from the client against the current SECID. During the rendering phase it picks a new SECID to be sent to its client side component.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CLIENTSECIDBinding.ErrorCLIENTSECIDBinding`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `m_lastSecidsBufferLength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTSECIDBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSecid(java.lang.String secid)` Checks a SECID coming from the client against its server side value.
    `void` | `createNextSecid()` Creates a new SECID to be sent to the client.
    `java.lang.String` | `getSecid()` Get the SECID to be passed to the client side.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m_lastSecidsBufferLength

          protected int m_lastSecidsBufferLength

  - ### Constructor Detail

    - #### CLIENTSECIDBinding

          public CLIENTSECIDBinding()

  - ### Method Detail

    - #### getSecid

          public java.lang.String getSecid()

      Get the SECID to be passed to the client side.

    - #### checkSecid

          public void checkSecid(java.lang.String secid)

      Checks a SECID coming from the client against its server side value.

    - #### createNextSecid

          public void createNextSecid()

      Creates a new SECID to be sent to the client.

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © CaptainCasa Gmbh. All Rights Reserved.